org.apache.poi.poifs.crypt.dsig.services

## Class TSPTimeStampService

- java.lang.Object
- - org.apache.poi.poifs.crypt.dsig.services.TSPTimeStampService

- All Implemented Interfaces:
    TimeStampService, SignatureConfig.SignatureConfigurable

      public class TSPTimeStampService
      extends java.lang.Object
      implements TimeStampService

  A TSP time-stamp service implementation.
  Author:
    Frank Cornelis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TSPTimeStampService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.ASN1ObjectIdentifier` | `mapDigestAlgoToOID(HashAlgorithm digestAlgo)` Maps the digest algorithm to corresponding OID value.
    `void` | `setSignatureConfig(SignatureConfig signatureConfig)`
    `byte[]` | `timeStamp(byte[] data, RevocationData revocationData)` Gives back the encoded time-stamp token for the given array of data bytes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TSPTimeStampService

          public TSPTimeStampService()

  - ### Method Detail

    - #### mapDigestAlgoToOID

          public org.bouncycastle.asn1.ASN1ObjectIdentifier mapDigestAlgoToOID(HashAlgorithm digestAlgo)

      Maps the digest algorithm to corresponding OID value.

    - #### timeStamp

          public byte[] timeStamp(byte[] data,
                                  RevocationData revocationData)
                           throws java.lang.Exception

      Description copied from interface: `TimeStampService`
      Gives back the encoded time-stamp token for the given array of data bytes. We assume that the time-stamp token itself contains its full certificate chain required for proper validation.
      Specified by:
        `timeStamp` in interface `TimeStampService`
      Parameters:
        `data` - the data to be time-stamped.
        `revocationData` - the optional container that needs to be filled up with the revocation data used to validate the TSA certificate chain.
      Returns:
        the DER encoded time-stamp token.
      Throws:
        `java.lang.Exception` - in case something went wrong.

    - #### setSignatureConfig

          public void setSignatureConfig(SignatureConfig signatureConfig)

      Specified by:
        `setSignatureConfig` in interface `SignatureConfig.SignatureConfigurable`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.